Bug 1555429 (CVE-2018-1077) - CVE-2018-1077 spacewalk: XML External Entity (XXE) on Spacewalk APIs
Summary: CVE-2018-1077 spacewalk: XML External Entity (XXE) on Spacewalk APIs
Keywords:
Status: NEW
Alias: CVE-2018-1077
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
: 1554445 (view as bug list)
Depends On: 1555431 1555432 1744539
Blocks: 1555427
TreeView+ depends on / blocked
 
Reported: 2018-03-14 16:58 UTC by Kurt Seifried
Modified: 2019-09-29 14:35 UTC (History)
8 users (show)

Fixed In Version: redstone-xmlrpc 1.1_20071120-20
Doc Type: If docs needed, set a value
Doc Text:
Spacewalk includes an API endpoint that can be abused by attackers to execute an XXE (XML External Entity Reference) allowing for the disclosure of potentially sensitive information.
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Kurt Seifried 2018-03-14 16:58:27 UTC
It is reported that the Spacewalk 2.6 API contains an XXE flaw resulting in information disclosure.

Comment 2 Kurt Seifried 2018-03-14 17:28:25 UTC
*** Bug 1554445 has been marked as a duplicate of this bug. ***

Comment 4 Andrej Nemec 2018-05-14 15:24:14 UTC
Statement:

This issue affects the versions of spacewalk as shipped with Red Hat Satellite 5. Red Hat Product Security has rated this issue as having security impact of Moderate. A future update may address this issue. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.

Comment 7 Michael Mráka 2019-08-21 14:03:00 UTC
Fixed in spacewalk git by
commit ff0c56b6735ca978c4cede5e4e6fa71e3e9bfd82
    1555429 - do not download external entities


Note You need to log in before you can comment on or make changes to this bug.